import mysql.connector as mysql
import storage as strg

class TeamController:
    def __init__(self,source_id):
        self.source_id = source_id

    def add_team(self,name,short_code,img,form,coach_id,color):
        try:
            db = strg.connect()
            cursor = db.cursor()
            sql = "INSERT INTO ft_teams (team_name, short_code, img, form, coach_id, color, team_source_id) VALUES (%s,%s,%s,%s,%s,%s,%s)"
            cursor.execute(sql,(name,short_code,img,form,coach_id,color,self.source_id))
            db.commit()
        except TypeError as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()

        return cursor.lastrowid
    
    def get_team_by_source_id(self):
        try:
            db = strg.connect()
            cursor = db.cursor()
            query = "select  team_id  from ft_teams where   team_source_id ="+str(self.source_id)
            cursor.execute(query)
            team_records = cursor.fetchone()
        except TypeError as e:
            raise Exception(e)
        finally:
            cursor.close()
            db.close()
        return team_records



